## rule-engine 3.5.0

=== Makefile ===
VERSION := $(shell ./setup.py --version)

.PHONY: build
build:
	python setup.py build sdist

.PHONY: clean
clean:
	rm -rf build dist

.PHONY: docs
docs:
	pipenv install --dev
	pipenv run sphinx-build -b html -a -E -v docs/source docs/html

.PHONY: release
release: build
	$(eval RELEASE_TAG := v$(VERSION))
	git tag -sm "Version $(VERSION)" $(RELEASE_TAG)
	git push --tags
	twine upload --verbose dist/*

=== debian/changelog ===
rule-engine (3.5.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:08:05 +0200

rule-engine (3.5.0-0kali1) kali-dev; urgency=medium

  * New upstream release
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 17 Nov 2022 13:41:27 -0600

rule-engine (1.1.0-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Jan 2021 09:42:01 +0100

rule-engine (1.1.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Apr 2019 14:55:39 +0200

=== debian/control ===
Source: rule-engine
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-sphinx, python3-dateutil, python3-ply, python3-sphinx-rtd-theme
Standards-Version: 4.6.1
Homepage: https://github.com/zeroSteiner/rule-engine
Testsuite: autopkgtest-pkg-python

Package: python3-rule-engine
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-rule-engine-doc
Description: library for creating general purpose “Rule” objects (Python 3)
 This package contains a library for creating general purpose “Rule” objects
 from a logical expression which can then be applied to arbitrary objects to
 evaluate whether or not they match.
 .
 This package installs the library for Python 3.

Package: python-rule-engine-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: library for creating general purpose “Rule” objects (common documentation)
 This package contains a library for creating general purpose “Rule” objects
 from a logical expression which can then be applied to arbitrary objects to
 evaluate whether or not they match.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rule-engine

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source/ build/html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rule-engine-$1.tar.gz%" \
   https://github.com/zeroSteiner/rule-engine/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## rule-engine 4.1.0

=== Makefile ===
--- 
+++ 
@@ -18,5 +18,4 @@
 	$(eval RELEASE_TAG := v$(VERSION))
 	git tag -sm "Version $(VERSION)" $(RELEASE_TAG)
 	git push --tags
-	twine upload --verbose dist/*

=== debian/changelog ===
rule-engine (4.1.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * New upstream version 4.1.0

 -- Steev Klimaszewski <steev@kali.org>  Tue, 14 Nov 2023 15:20:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: rule-engine
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-sphinx, python3-dateutil, python3-ply, python3-sphinx-rtd-theme
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/zeroSteiner/rule-engine
+Vcs-Browser: https://gitlab.com/kalilinux/packages/rule-engine
+Vcs-Git: https://gitlab.com/kalilinux/packages/rule-engine.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-rule-engine
